c
c
c************************************************************************
c
c
      subroutine PLOT1 (title1,xlbl,ylbl,xaray,yaray,npts,xlong,ylong,
c
     2                  xxlong,yylong,itype)
c
c-----------------------------------------------------------------------
c
c  This routine uses the DISSPLA subroutines to plot simple y vs. x graphs
c
      PARAMETER ( mmax=3000 , nf=8192 )
c
c
      character*48 xlbl, ylbl 
c
      character*57 title1
c
      dimension  xaray(npts), yaray(npts), zero(nf)
c
      logical idp,ts
c
      common /blkidp/ idp
      common /blkts/ ts
c
c
c  find min/max values of axes
c
      xorig=xaray(1)
      xmax=xaray(1) 
      yorig=yaray(1)
      ymax=yaray(1) 
      do 10 i=2,npts
         if (xaray(i).lt.xorig) xorig=xaray(i)
         if (xaray(i).gt.xmax) xmax=xaray(i)
         if (yaray(i).lt.yorig) yorig=yaray(i)
         if (yaray(i).gt.ymax) ymax=yaray(i)
10    continue
c
c  create a straight line at zero on y axis
c
      do 20 i=1,npts
         zero(i)=0. 
20    continue
c
c  set up graph position...
c
      call reset ('all')
      call basalf('standard')
      call scmplx
      call nobrdr
      call height (.2)
      call xaxang (45.)
      call yaxang (45.)
c
c  ...for tektronix screen
c
30    call page (12.5,9.5)
c
c  define axis size and labels
c
40    call area2d (xlong,ylong)
      call headin (title1,100,-1.5,1)
      call xname (xlbl,100)
      call yname (ylbl,100)
      call frame
      call graf (xorig,'scale',xmax,yorig,'scale',ymax)
c
c  call curve routines according to plot type
c
      go to (50,60,70), itype 
50    if (ts) call curve ( xaray, yaray, npts, 0 )
      if (.not.ts) call curve (xaray,yaray,npts,-1)
      call curve (xaray,zero,npts,0)
      go to 80
60    call curve (xaray,yaray,npts,-1)
      call curve (xaray,zero,npts,0)
      go to 80
70    call curve (xaray,yaray,npts,-1)
c
c  exit
c
80    call endpl (0)
c
      return
c
      end 
